Bug 478628 - Review Request: dhcping - DHCP daemon ping program
Review Request: dhcping - DHCP daemon ping program
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-02 07:17 EST by Fabian Affolter
Modified: 2014-09-11 11:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 21:32:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-01-02 07:17:22 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/dhcping.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/dhcping-1.2-1.fc9.src.rpm

Project URL: http://www.mavetju.org/unix/general.php

Description:
Dhcping allows the system administrator to check if a remote DHCP
server is still functioning.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1029498

rpmlint output:
[fab@laptop024 i386]$ rpmlint dhcping*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint dhcping-1.2-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Marek Mahut 2009-01-04 10:03:47 EST
Your package looks sane, just fix the typo in SOURCE1.

 + name is acceptable
 + version matches
 + disttag is correct
 + license is correct and Fedora compatible (MIT)
 + source is same as upstream
 + BuildRoot is correct (<F9)
 + compiler uses appropriate flags
 + package builds in mock 
 + rpmlint is sane

APPROVED.
Comment 2 Fabian Affolter 2009-01-04 11:05:09 EST
New Package CVS Request
=======================
Package Name: dhcping
Short Description: DHCP daemon ping program
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 3 Marek Mahut 2009-01-04 14:54:22 EST
Fabian, do you mind to maintain it in EL-5? I'd like to see this package there. If not, I'll take it. Thank you.
Comment 4 Kevin Fenzi 2009-01-04 15:13:40 EST
cvs done.
Comment 5 Fabian Affolter 2009-01-04 17:43:50 EST
Thanks for the review and the cvs.

Marek, I will request a branch for EL-5.
Comment 6 Fabian Affolter 2009-01-04 17:44:52 EST
Package Change Request
======================
New Branches: EL-5
Owners: fab
Comment 7 Kevin Fenzi 2009-01-06 19:12:09 EST
cvs done.
Comment 8 Fedora Update System 2009-01-09 04:22:39 EST
dhcping-1.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/dhcping-1.2-2.fc9
Comment 9 Fedora Update System 2009-01-09 04:22:42 EST
dhcping-1.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/dhcping-1.2-2.fc10
Comment 10 Fedora Update System 2009-01-14 22:03:35 EST
dhcping-1.2-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update dhcping'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0496
Comment 11 Fedora Update System 2009-01-14 22:06:19 EST
dhcping-1.2-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcping'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0526
Comment 12 Fedora Update System 2009-01-23 21:32:12 EST
dhcping-1.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-01-23 21:32:31 EST
dhcping-1.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fabian Affolter 2014-09-11 10:07:55 EDT
Package Change Request
======================
Package Name: dhcping
New Branches: el6 epel7
Owners: fab 
InitialCC:
Comment 15 Gwyn Ciesla 2014-09-11 11:20:49 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.